<template>
	<view class="pages">
		<web-view ref="webview" :src="https" @message="handleGetMessage"></web-view>

	</view>
</template>

<script>
	export default {
		data() {
			return {
				https:''
			}
		},
		onLoad(option) {
            this.https = decodeURIComponent(option.https)
			console.log(option);
		},
		onShareAppMessage: function() {
			return {
				title: '创享物联', 
				path: '/pages/index/index'
			}
		},

		// 分享到朋友圈  
		onShareTimeline: function() {
			return {
				title: '创享物联',
				query: '',
				path: '/pages/index/index'
			}
		},
		methods: {
             handleGetMessage:function(e){
             	console.log(e)
             	if(e.detail.data[0].result == 'success'){
             		uni.redirectTo({
             			url:'/page_components/shiming'
             		})
             	}
             },
			 
		}
	}
</script>

<style lang="scss" scoped>
	
</style>